Skip to content

# Class: KubernetesCluster

Common.Catalog.KubernetesCluster

## Hierarchy

- CatalogEntity<KubernetesClusterMetadata, KubernetesClusterStatus, KubernetesClusterSpec>

↳ KubernetesCluster

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- spec
- status
- apiVersion
- kind

### Methods

- connect
- disconnect
- getId
- getName
- onContextMenuOpen
- onDetailsOpen
- onRun
- onSettingsOpen

## Constructors

### constructor

• new KubernetesCluster(`data`)

#### Parameters

Name | Type
--- | ---
`data` | CatalogEntityData<KubernetesClusterMetadata, KubernetesClusterStatus, KubernetesClusterSpec>

#### Inherited from

CatalogEntity.constructor

## Properties

### apiVersion

• `Readonly` apiVersion: `"entity.k8slens.dev/v1alpha1"`

#### Overrides

CatalogEntity.apiVersion

### kind

• `Readonly` kind: `"KubernetesCluster"`

#### Overrides

CatalogEntity.kind

### metadata

• metadata: KubernetesClusterMetadata

#### Inherited from

CatalogEntity.metadata

### spec

• spec: KubernetesClusterSpec

#### Inherited from

CatalogEntity.spec

### status

• status: KubernetesClusterStatus

#### Inherited from

CatalogEntity.status

### apiVersion

▪ `Static` `Readonly` apiVersion: `"entity.k8slens.dev/v1alpha1"`

### kind

▪ `Static` `Readonly` kind: `"KubernetesCluster"`

## Methods

### connect

▸ connect(): `Promise`<void>

#### Returns

`Promise`<void>

### disconnect

▸ disconnect(): `Promise`<void>

#### Returns

`Promise`<void>

### getId

▸ getId(): `string`

#### Returns

`string`

#### Inherited from

CatalogEntity.getId

### getName

▸ getName(): `string`

#### Returns

`string`

#### Inherited from

CatalogEntity.getName

### onContextMenuOpen

▸ onContextMenuOpen(`context`): `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntityContextMenuContext

#### Returns

`Promise`<void>

#### Overrides

CatalogEntity.onContextMenuOpen

### onDetailsOpen

▸ onDetailsOpen(): `void`

#### Returns

`void`

### onRun

▸ onRun(`context`): `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntityActionContext

#### Returns

`Promise`<void>

#### Overrides

CatalogEntity.onRun

### onSettingsOpen

▸ onSettingsOpen(): `void`

#### Returns

`void`

#### Overrides

CatalogEntity.onSettingsOpen